Skip to main content
POST
/
twitter
/
list
/
members
/
page
Get List Members by Page
curl --request POST \
  --url https://api.twexapi.io/twitter/list/members/page \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "list_id": "<string>",
  "next_cursor": "1234567890"
}
'
{
  "code": 123,
  "msg": "<string>",
  "data": [
    {
      "id": "1717001045992251392",
      "name": "Cryptoklepto",
      "screen_name": "CK_Cryptoklepto",
      "created_at": "Mon Oct 28 02:32:47 +0000 2024",
      "created_at_datetime": "2024-10-28T02:32:47.000Z",
      "can_dm": false,
      "can_media_tag": false,
      "default_profile": false,
      "default_profile_image": false,
      "description": "",
      "description_urls": [],
      "urls": [
        {
          "url": "https://www.google.com",
          "expanded_url": "https://www.google.com",
          "display_url": "www.google.com"
        }
      ],
      "fast_followers_count": 0,
      "favourites_count": 0,
      "followers_count": 0,
      "following_count": 0,
      "has_custom_timelines": false,
      "is_blue_verified": false,
      "verified_type": "government",
      "is_verified": false,
      "profile_image_shape": "Circle",
      "is_translator": false,
      "listed_count": 0,
      "location": "New York, USA",
      "media_count": 0,
      "normal_followers_count": 0,
      "pinned_tweet_ids": [],
      "possibly_sensitive": false,
      "profile_banner_url": "<string>",
      "profile_image_url": "<string>",
      "protected": false,
      "statuses_count": 0
    }
  ],
  "has_next_page": true,
  "next_cursor": "1234567890"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
list_id
string
required

The ID of the list to get members from.

next_cursor
string | null

Cursor returned by the previous page. Leave empty to fetch the first page.

Example:

"1234567890"

Response

Current page data (up to 20 members) and pagination metadata (has_next_page, next_cursor).

code
integer
required

The status code of the response.

msg
string
required

The message of the response.

data
UserModel · object[]
required

A list of user objects.

has_next_page
boolean
required

Whether another page is available.

next_cursor
string | null

The next cursor of the members to get.

Example:

"1234567890"